Bug 439195 - Review Request: perl-Task-Weaken - Ensure that a platform has weaken support
Review Request: perl-Task-Weaken - Ensure that a platform has weaken support
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-27 10:47 EDT by Simon Wilkinson
Modified: 2009-08-10 09:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-12 18:52:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Simon Wilkinson 2008-03-27 10:47:40 EDT
Spec URL: http://homepages.inf.ed.ac.uk/sxw/perl-Task-Weaken.spec
SRPM URL: http://homepages.inf.ed.ac.uk/sxw/perl-Task-Weaken-1.02-1.fc9.src.rpm
Description:
One recurring problem in modules that use Scalar::Util's weaken function is
that it is not present in the pure-perl variant.

This restores the functionality testing to a dependency you do once in
your Makefile.PL, rather than something you have to write extra tests
for each time you write a module.
Comment 1 Parag AN(पराग) 2008-03-28 00:08:10 EDT
Review:
+ package builds in mock.
Koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=535496
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
684c2bd2a76f320679fd2df938467e01  Task-Weaken-1.02.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
t/01_compile....ok
t/02_weaken.....ok
t/98_pod........skipped
        all skipped: Author tests not required for installation
t/99_pmv........skipped
        all skipped: Author tests not required for installation
All tests successful, 2 tests skipped.
Files=4, Tests=21,  1 wallclock secs ( 0.10 cusr +  0.02 csys =  0.12 CPU)

+ Package perl-Task-Weaken-1.02-1.fc9=>
  Provides: perl(Task::Weaken) = 1.02
  Requires: perl >= 0:5.005 perl(strict) perl(vars)


SHOULD:
  License tag MUST be "GPL+ or Artistic"

update new SRPM and will APPROVE this review.
Comment 2 Simon Wilkinson 2008-03-28 04:44:36 EDT
http://fedoraproject.org/wiki/Licensing suggests that 'Artistic 2.0' is the correct short license tag for the 
Artistic license, and doesn't list 'Artistic' as a valid option - is that no longer the case?
Comment 3 Parag AN(पराग) 2008-03-28 08:27:45 EDT
and where can I see text of Artistic 2.0 included in upstream tarball?
Artistic 2.0 license text is given at
http://www.perlfoundation.org/artistic_license_2_0
and Artistic 1.0 license text is given at 
http://dev.perl.org/licenses/artistic.html
Comment 4 Parag AN(पराग) 2008-03-28 08:29:40 EDT
And I rechecked license its actually 
look at http://fedoraproject.org/wiki/Licensing for "Perl License (variant)"
Comment 5 Simon Wilkinson 2008-03-28 09:03:10 EDT
Thanks for clearing that up - I'll remember that for the future. 

New SRPM is
http://homepages.inf.ed.ac.uk/sxw/perl-Task-Weaken-1.02-2.fc9.src.rpm

Simon.
Comment 6 Parag AN(पराग) 2008-04-04 00:01:44 EDT
ping?
Comment 7 Simon Wilkinson 2008-04-04 06:15:17 EDT
Hi panemade,

Are you prepared to approve based on the new package in comment #5?

Thanks!
Comment 8 Parag AN(पराग) 2008-04-04 06:25:36 EDT
aha I missed comment #5.

APPROVED.
Comment 9 Simon Wilkinson 2008-04-04 06:51:22 EDT
New Package CVS Request
=======================
Package Name: perl-Task-Weaken
Short Description: Ensure that a platform has weaken support
Owners: sxw
Branches: EL-5 F-7 F-8 
InitialCC: 
Cvsextras Commits: yes
Comment 10 Kevin Fenzi 2008-04-04 12:03:47 EDT
cvs done.
Comment 11 Paul Howarth 2009-08-10 09:56:06 EDT
The license for this package is "Same terms as Perl itself", which is "GPL+ or Artistic", not "GPLv2+ or Artistic" as included in the package. Perhaps you could fix that and update to 1.03?

Note You need to log in before you can comment on or make changes to this bug.